Module org.firebirdsql.jaybird
Package org.firebirdsql.gds

# Interface DatabaseParameterBuffer

All Superinterfaces:
  `ConnectionParameterBuffer`, `Iterable<Parameter>`, `ParameterBuffer`, `Serializable`

All Known Implementing Classes:
  `DatabaseParameterBufferImp`

public interface DatabaseParameterBuffer extends ConnectionParameterBuffer
Instance of this interface represents a Database Parameter Buffer from the Firebird API documentation and specifies the attributes for the current connection.

Additionally, it is possible to change some database properties in a permanent way, however this approach is not recommended. Please use instead management API.

## Method Summary

Modifier and Type
Method
Description
`DatabaseParameterBuffer`
`deepCopy()`
Make a deep copy of this object.

### Methods inherited from interface org.firebirdsql.gds.ConnectionParameterBuffer

`getDefaultEncoding, getTagMapping`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Methods inherited from interface org.firebirdsql.gds.ParameterBuffer

`addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, addArgument, getArgumentAsInt, getArgumentAsString, getType, hasArgument, isEmpty, iterator, removeArgument, size, toBytes, toBytesWithType, toXdrable, writeArgumentsTo`

## Method Details

### deepCopy

DatabaseParameterBuffer deepCopy()
Make a deep copy of this object.

Returns:
  deep copy of this object.